ChartDirector Ver 5.0 (PHP Edition)

BaseChart.gradientColor2

Usage

gradientColor2(colorArray [, angle [, scale [, startX, startY ]]])

Description

Creates a multi-point linear gradient color.
This method is for backward compatibility. Use BaseChart.linearGradientColor2 instead.

Arguments

Argument | Default | Description
--- | --- | ---
colorArray | (Mandatory) | An array defining the positions and colors of the pixels along the reference gradient line segment.
angle | 90 | The direction of the reference gradient line segment in degrees, measured clockwise, with 0 degree as the upward pointing direction. The default direction is horizontal from left to right (90 degrees).
scale | 1.0 | The scaling factor for the reference gradient line segment. By default, the reference gradient line segment is 256 pixels in length. The scaling factor can be use to stretch or compress the gradient line segment.
startX | 0 | The x coordinate of the starting point of the reference gradient line segment.
startY | 0 | The y coordinate of the starting point of the reference gradient line segment.

Return Value

A 32-bit integer representing the linear gradient color.

© 2009 Advanced Software Engineering Limited. All rights reserved.